Package nl.tudelft.simulation.examples.dsol.terminal

# Class Container

java.lang.Object
nl.tudelft.simulation.examples.dsol.terminal.Container

All Implemented Interfaces:
  `IntResourceRequestorInterface<Double,​Double,​SimTimeDouble>`

    public class Container
    extends Object
    implements IntResourceRequestorInterface<Double,​Double,​SimTimeDouble>

The 'active' container object.

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs, Alexander Verbraeck

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Container​(DEVSSimulatorInterface.TimeDouble simulator, int containerNumber, QC qc, AGV agv, Ship ship)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected void` | `agvReady()` |
`protected void` | `checkPhase()` |
`protected void` | `qcReady()` |
`void` | `receiveRequestedResource​(long requestedCapacity, IntResource<Double,​Double,​SimTimeDouble> resource)` | receive the requested resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.examples.dsol.terminal.IntResourceRequestorInterface

`receiveRequestedResource`

## Constructor Details

### Container

public Container​(DEVSSimulatorInterface.TimeDouble simulator, int containerNumber, QC qc, AGV agv, Ship ship)

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator
  `containerNumber` - int; the container number
  `qc` - QC; the QC resources
  `agv` - AGV; the AGV resources
  `ship` - Ship; the ship

## Method Details

### receiveRequestedResource

public void receiveRequestedResource​(long requestedCapacity, IntResource<Double,​Double,​SimTimeDouble> resource) throws RemoteException
receive the requested resource.

Specified by:
  `receiveRequestedResource` in interface `IntResourceRequestorInterface<Double,​Double,​SimTimeDouble>`
Parameters:
  `requestedCapacity` - long; reflects the amount requested.
  `resource` - IntResource<A,R,T>; the requested resource.
Throws:
  `RemoteException` - on network failure.

### agvReady

protected void agvReady()

### qcReady

protected void qcReady()

### checkPhase

protected void checkPhase()